import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {PolicyDynamicsComponent} from "./pages/policy-dynamics/policy-dynamics.component";
import {HomeComponent} from "./pages/home/home.component";
import {FinanceServiceComponent} from "./pages/finance-service/finance-service.component";
import {PlatformIntroductionComponent} from "./pages/platform-introduction/platform-introduction.component";
import {FinancialInstitutionComponent} from "./pages/financial-institution/financial-institution.component";
import {RuralVitalizationComponent} from "./pages/rural-vitalization/rural-vitalization.component";

const routes: Routes = [
  {path: '', component: HomeComponent},
  {path: 'policy', component: PolicyDynamicsComponent},
  {path: 'finance-service', component: FinanceServiceComponent},
  {path: 'rural-vitalization', component: RuralVitalizationComponent},
  {path: 'financial-institution', component: FinancialInstitutionComponent},
  {path: 'platform-introduction', component: PlatformIntroductionComponent},
  {path: 'welcome', loadChildren: () => import('./pages/back-manage/welcome/welcome.module').then(m => m.WelcomeModule)}
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {
}
