import {NgModule} from '@angular/core';
import {BrowserModule} from '@angular/platform-browser';

import {AppComponent} from './app.component';
import {NZ_I18N} from 'ng-zorro-antd/i18n';
import {zh_CN} from 'ng-zorro-antd/i18n';
import {registerLocaleData} from '@angular/common';
import zh from '@angular/common/locales/zh';
import {FormsModule} from '@angular/forms';
import {HttpClientModule} from '@angular/common/http';
import {BrowserAnimationsModule} from '@angular/platform-browser/animations';
import {AppRoutingModule} from './app-routing.module';
import {IconsProviderModule} from './icons-provider.module';
import {NzLayoutModule} from 'ng-zorro-antd/layout';
import {NzMenuModule} from 'ng-zorro-antd/menu';
import {BackManageComponent} from './pages/back-manage/back-manage.component';
import {HomeComponent} from './pages/home/home.component';
import {HomeHeadComponent} from './components/home-head/home-head.component';
import {NzSelectModule} from "ng-zorro-antd/select";
import {NzButtonModule} from 'ng-zorro-antd/button';
import {NzCarouselModule} from 'ng-zorro-antd/carousel';
import { HomeFootComponent } from './components/home-foot/home-foot.component';
import {NzRadioModule} from "ng-zorro-antd/radio";
import { PolicyDynamicsComponent } from './pages/policy-dynamics/policy-dynamics.component';
import {NzDatePickerModule} from "ng-zorro-antd/date-picker";
import {NzInputModule} from "ng-zorro-antd/input";
import {NzDividerModule} from "ng-zorro-antd/divider";
import {NzPaginationModule} from "ng-zorro-antd/pagination";
import { FinanceServiceComponent } from './pages/finance-service/finance-service.component';
import { SingleChoiceComponent } from './components/single-choice/single-choice.component';
import { SearchSortComponent } from './components/search-sort/search-sort.component';
import { CompanyServiceComponent } from './pages/company-service/company-service.component';
import { PlatformIntroductionComponent } from './pages/platform-introduction/platform-introduction.component';
import { FinancialInstitutionComponent } from './pages/financial-institution/financial-institution.component';
import { RuralVitalizationComponent } from './pages/rural-vitalization/rural-vitalization.component';

registerLocaleData(zh);

@NgModule({
  declarations: [
    AppComponent,
    BackManageComponent,
    HomeComponent,
    HomeHeadComponent,
    HomeFootComponent,
    PolicyDynamicsComponent,
    FinanceServiceComponent,
    SingleChoiceComponent,
    SearchSortComponent,
    CompanyServiceComponent,
    PlatformIntroductionComponent,
    FinancialInstitutionComponent,
    RuralVitalizationComponent
  ],
    imports: [
        BrowserModule,
        FormsModule,
        HttpClientModule,
        BrowserAnimationsModule,
        AppRoutingModule,
        IconsProviderModule,
        NzLayoutModule,
        NzMenuModule,
        NzSelectModule,
        NzButtonModule,
        NzCarouselModule,
        NzRadioModule,
        NzDatePickerModule,
        NzInputModule,
        NzDividerModule,
        NzPaginationModule
    ],
  providers: [{provide: NZ_I18N, useValue: zh_CN}],
  bootstrap: [AppComponent]
})
export class AppModule {
}
