import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-platform-introduction',
  templateUrl: './platform-introduction.component.html',
  styleUrls: ['./platform-introduction.component.css']
})
export class PlatformIntroductionComponent implements OnInit {

  public headStatus: any = {
    menuStatus: 1,
    status: 1
  }
  public platformInfoList: any[] = [
    {
      img: 'assets/platformIntroduction/phone.png',
      title: '联系电话',
      firstName: '曲靖市发展改和革委员会：',
      firstContact: '0874-3122199',
      secondName: '中国人民银行曲靖市中心支行：',
      secondContact: '0874-3316877',
    },
    {
      img: 'assets/platformIntroduction/email.png',
      title: 'Email',
      firstName: '曲靖市发展改和革委员会：',
      firstContact: 'qjxytx@163.com',
      secondName: '中国人民银行曲靖市中心支行：',
      secondContact: 'qjzx_163@163.com',
    },
    {
      img: 'assets/platformIntroduction/address.png',
      title: '地址',
      firstName: '曲靖市发展改和革委员会：',
      firstContact: '曲靖市麒麟区建宁东路21号',
      secondName: '中国人民银行曲靖市中心支行：',
      secondContact: '曲靖市翠峰东路82号',
    }
  ]
  public serviceInfoList: any[] = [
    {
      img: 'assets/platformIntroduction/company.png',
      title: '政府主导、市场化运作',
      context: '平台建设由政府主导推进，相关政府部门、金融机构和具备资质的第三方信用服务机构共同参与，建设具有较强影响力和辐射力的平台，建立市场化、专业化运营机制，探索平台自我造血的运营模式，保障平台持续运营。'
    },
    {
      img: 'assets/platformIntroduction/platform.png',
      title: '多平台深度融合',
      context: '曲靖市普惠金融综合服务平台与曲靖市地方征信平台、曲靖市信用信息共享平台及第三方征信系统实现企业信用数据共享,全面归集各类信息,打通数据孤岛，促进金融机构增强信用风险评价能力，优化信贷流程，提升金融服务效率。'
    },
    {
      img: 'assets/platformIntroduction/station.png',
      title: '一站式金融服务',
      context: '曲靖市普惠金融综合服务平台实现与第三方服务机构和金融机构系统集成，融资业务在不同平台之间的无缝对接针对企业贷款需求多样性、自动识别符合企业特征的金融优惠扶持政策，并主动将相关政策推送至企业，实现主动服务企业。'
    },
    {
      img: 'assets/platformIntroduction/docking.png',
      title: '精准对接、过程跟踪',
      context: '根据银行业金融机构和企业的地域属性，实现金融产品、企业融资需求、银行业金融机构准确匹配，融资需求办理过程结果在线实时反馈跟踪，助力解决企业融资进度全流程闭环，为各相关部门提供实时融资动态监管。'
    },
    {
      img: 'assets/platformIntroduction/speed.png',
      title: '高效的信息服务',
      context: '综合应用“信用+科技+普惠金融”手段，汇聚信用信息查询、信用报告查询、信用修复、融资项目查询等服务，有效降低金融机构数据归集、融资对接成本，丰富金融机构获客渠道，满足企业多场景、个性化的融资需求。'
    }
  ]
  constructor() { }

  ngOnInit(): void {
  }

}
